





* Note: Replace equation to generate same graph for figure 2. 

clear all
use "/Users/michaelflynn/Dropbox/Projects/Best House Bad Neighborhood - BarryBellClayFlynnMurdie/ISQ Final Submission Version/Replication data.dta"

set seed 0210
set more off, perm  
set scheme tufte

estsimp nbreg F.hrosecloc_merge physint con_physint conphysXphys polity20 polity_square orgrights kof_ogi S_all latincarib durable lngdppercap lnpop civilconflict  NGOtargetGTDfilled dictHROngostateviolent  lnreport conhrosecloc lnhrfilled yr12-yr24 if western==0, robust

preserve

setx mean //first set all to means, then modifiy where needed (below)
setx civilconflict 0
setx latincarib 0 
setx dictHROngostateviolent 0
setx (yr12-yr24) 0
setx yr15 1
local a = 0
local b = (`a'^2)
setx polity20 (`a') polity_square (`b')
simqi, ev
macro list
scalar list 

postutil clear
postfile mypost probY upper lower using simresults, replace 
noisily display "start"
set obs 10000 
while `a' <= 20  {

qui simqi, ev 
scalar probY= Pr
scalar upper = PrU
scalar lower = PrL
post mypost (probY) (upper) (lower)
scalar drop probY upper lower
local a = `a'+.5 /*the amount we will increase height by: .5in. */
local b = (`a'^2)
setx polity20 (`a') polity_square (`b')
display "." _c 
}
display ""

postclose mypost 


clear

use simresults 
range MV 0 20 41
replace MV = MV -10
sort MV

format probY upper lower %9.2f 

twoway rarea lower upper MV, color(gray*.5) fi(100) ///
		|| line probY MV,  clcolor(black) clpattern(solid) legend(off) ///
		ytitle(Predicted HRO Secretariat Count) xtitle(Polity) ///
		ylabel(.25(.25)1.25)
		



